Accepting request 545873 from home:itxaka:branches:network

Revert using github tarball and use original source again.

Update to 1.3.9: Too many fixes and features to list, refer to
  /usr/share/doc/packages/keepalived/ChangeLog for a detailed list.

OBS-URL: https://build.opensuse.org/request/show/545873
OBS-URL: https://build.opensuse.org/package/show/network/keepalived?expand=0&rev=35
This commit is contained in:
Dirk Mueller 2017-11-27 10:49:50 +00:00 committed by Git OBS Bridge
parent 0272e4868b
commit e2fdff3ae9
5 changed files with 125 additions and 117 deletions

View File

@ -1,13 +1,13 @@
Index: keepalived/etc/init.d/keepalived.suse.init
Index: keepalived/etc/init.d/keepalived.suse.init.in
===================================================================
--- keepalived/etc/init.d/keepalived.suse.init.orig
+++ keepalived/etc/init.d/keepalived.suse.init
@@ -1,23 +1,24 @@
--- keepalived/etc/init.d/keepalived.suse.init.in
+++ keepalived/etc/init.d/keepalived.suse.init.in
@@ -1,23 +1,23 @@
#! /bin/sh
### BEGIN INIT INFO
-# Provides: keepalived
+# Provides: keepalived
+# Provides: keepalived
# Required-Start: $remote_fs $syslog
-# Required-Stop : $remote_fs $syslog
-# Default-Start : 3 5
@ -17,38 +17,35 @@ Index: keepalived/etc/init.d/keepalived.suse.init
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: Start keepalived to manage IPVS & LVS
+# Description: Start keepalived to manage IPVS & LVS
+# Short-Description: Start keepalived to manage IPVS & LVS
+# Description: Start keepalived to manage IPVS & LVS
### END INIT INFO
-DAEMON="Keepalived daemon"
-DAEMON_BIN="/usr/local/sbin/keepalived"
-DAEMON_CONF="/etc/keepalived/keepalived.conf"
-DAEMON_PIDFILE="/var/run/keepalived.pid"
-DAEMON_BIN="@sbindir@/keepalived"
-DAEMON_CONF="@sysconfdir@/keepalived/keepalived.conf"
-DAEMON_PIDFILE="@localstatedir@/run/keepalived.pid"
-DAEMON_OPT="-d"
+DAEMON='Keepalived daemon'
+DAEMON_BIN='/usr/sbin/keepalived'
+DAEMON_CONF='/etc/keepalived/keepalived.conf'
+DAEMON_SYSCONF='/etc/sysconfig/keepalived'
+DAEMON_PIDFILE='/var/run/keepalived.pid'
+KEEPALIVED_OPTIONS='-d'
+DAEMON_BIN='@sbindir@/keepalived'
+DAEMON_CONF='@sysconfdir@/keepalived/keepalived.conf'
+DAEMON_PIDFILE='@localstatedir@/run/keepalived.pid'
+DAEMON_OPT='-d'
#DAEMON_USER="root"
-SUPPORTS_HUP="yes"
-SUPPORTS_HUP="yes"
+SUPPORTS_HUP='yes'
# "yes" if exist next values in freshclam.conf
# PidFile /var/run/keepalived.pid
# PidFile @localstatedir@/run/keepalived.pid
# DatabaseOwner root
@@ -25,7 +26,19 @@ SUPPORTS_HUP="yes"
pid_par=${DAEMON_PIDFILE:+"-p $DAEMON_PIDFILE"}
@@ -25,6 +25,18 @@ pid_par=${DAEMON_PIDFILE:+"-p $DAEMON_PIDFILE"}
usr_par=${DAEMON_USER:+"-u $DAEMON_USER"}
-test -x $DAEMON_BIN || exit 5
test -x $DAEMON_BIN || exit 5
+test -x $DAEMON_BIN || { echo "$DAEMON_BIN not installed or executable";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+
+test -r $DAEMON_CONF || { echo "$DAEMON_CONF not existing or readable";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 6; fi; }
@ -57,13 +54,14 @@ Index: keepalived/etc/init.d/keepalived.suse.init
+if [ -r "$DAEMON_SYSCONF" ]; then
+ . "$DAEMON_SYSCONF"
+fi
# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
@@ -62,70 +75,70 @@ test -e $DAEMON_PIDFILE && ! test -s $DA
@@ -60,71 +72,70 @@ rc_reset
test -e $DAEMON_PIDFILE && ! test -s $DAEMON_PIDFILE && rm $DAEMON_PIDFILE
case "$1" in
start)
- start)
- echo -n "Starting $DAEMON "
- if test ! -f ${DAEMON_CONF}; then
- echo -n >&2 "Configuration file, ${DAEMON_CONF} does not exist. "
@ -93,7 +91,7 @@ Index: keepalived/etc/init.d/keepalived.suse.init
- $0 status
- if test $? = 0; then
- $0 restart
- else
- else
- rc_reset
- fi
- rc_status
@ -110,57 +108,10 @@ Index: keepalived/etc/init.d/keepalived.suse.init
- touch ${DAEMON_PIDFILE} || \
- echo -n >&2 " Warning: daemon not running. "
- killproc $pid_par -HUP ${DAEMON_BIN}
+ echo -n "Starting $DAEMON "
+ if test ! -f ${DAEMON_CONF}; then
+ echo -n >&2 "Configuration file, ${DAEMON_CONF} does not exist. "
+ rc_status -s
+ exit 6
+ fi
+ checkproc $pid_par ${DAEMON_BIN}
+ case $? in
+ 0) echo -n "- Warning: daemon already running. " ;;
+ 1) echo -n "- Warning: ${DAEMON_PIDFILE} exists. " ;;
+ esac
+# echo "startproc $usr_par $pid_par ${DAEMON_BIN} ${KEEPALIVED_OPTIONS}"
+ startproc $usr_par $pid_par ${DAEMON_BIN} ${KEEPALIVED_OPTIONS}
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down $DAEMON "
+ checkproc $pid_par ${DAEMON_BIN} || \
+ echo -n " Warning: daemon not running. "
+ killproc $pid_par -t 10 ${DAEMON_BIN}
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset
+ fi
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ force-reload|reload)
+ if test "$SUPPORTS_HUP" = "yes"; then
+ echo -n "Reload service $DAEMON "
+ checkproc $pid_par ${DAEMON_BIN} && \
+ touch ${DAEMON_PIDFILE} || \
+ echo -n >&2 " Warning: daemon not running. "
+ killproc $pid_par -HUP ${DAEMON_BIN}
rc_status -v
- rc_status -v
- else
+ else
$0 stop && sleep 3 && $0 start
rc_status
- $0 stop && sleep 3 && $0 start
- rc_status
- fi
- ;;
- status)
@ -175,20 +126,71 @@ Index: keepalived/etc/init.d/keepalived.suse.init
- echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
- exit 1
- ;;
+ fi
+ ;;
+ status)
+ echo -n "Checking for $DAEMON "
+ checkproc $pid_par ${DAEMON_BIN}
+ start)
+ echo -n "Starting $DAEMON "
+ if test ! -f ${DAEMON_CONF}; then
+ echo -n >&2 "Configuration file, ${DAEMON_CONF} does not exist. "
+ rc_status -s
+ exit 6
+ fi
+ checkproc $pid_par ${DAEMON_BIN}
+ case $? in
+ 0) echo -n "- Warning: daemon already running. " ;;
+ 1) echo -n "- Warning: ${DAEMON_PIDFILE} exists. " ;;
+ esac
+# echo "startproc $usr_par $pid_par ${DAEMON_BIN} ${KEEPALIVED_OPTIONS}"
+ startproc $usr_par $pid_par ${DAEMON_BIN} ${KEEPALIVED_OPTIONS}
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down $DAEMON "
+ checkproc $pid_par ${DAEMON_BIN} || \
+ echo -n " Warning: daemon not running. "
+ killproc $pid_par -t 10 ${DAEMON_BIN}
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset
+ fi
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ force-reload|reload)
+ if test "$SUPPORTS_HUP" = "yes"; then
+ echo -n "Reload service $DAEMON "
+ checkproc $pid_par ${DAEMON_BIN} && \
+ touch ${DAEMON_PIDFILE} || \
+ echo -n >&2 " Warning: daemon not running. "
+ killproc $pid_par -HUP ${DAEMON_BIN}
+ rc_status -v
+ ;;
+ probe)
+ test ${DAEMON_CONF} -nt ${DAEMON_PIDFILE} && echo reload
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+ exit 1
+ ;;
+ else
+ $0 stop && sleep 3 && $0 start
+ rc_status
+ fi
+ ;;
+ status)
+ echo -n "Checking for $DAEMON "
+ checkproc $pid_par ${DAEMON_BIN}
+ rc_status -v
+ ;;
+ probe)
+ test ${DAEMON_CONF} -nt ${DAEMON_PIDFILE} && echo reload
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+ exit 1
+ ;;
esac
rc_exit
-

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:314a118a35899e4fa31cbfcef8b77c90d3a6003c686a29088dba1d4c51e31436
size 661521

3
keepalived-1.3.9.tar.gz Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:d5bdd25530acf60989222fd92fbfd596e06ecc356a820f4c1015708b76a8d4f3
size 719886

View File

@ -1,7 +1,15 @@
-------------------------------------------------------------------
Thu Nov 27 09:11:55 UTC 2017 - igarcia@suse.com
- update to 1.3.9:
Revert using github tarball and use original source again.
Too many fixes and features to list, refer to
/usr/share/doc/packages/keepalived/ChangeLog for a detailed list.
-------------------------------------------------------------------
Thu Nov 23 13:38:30 UTC 2017 - rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
-------------------------------------------------------------------
@ -61,7 +69,7 @@ Fri Jul 8 10:32:22 UTC 2016 - mrueckert@suse.de
Some VRRP fixes. Refer to ChangeLog for more infos.
- update to 1.2.21
Some fixes for last major release 1.2.20. Extensions on vrrp
framework. Refer to ChangeLog for more infos.
framework. Refer to ChangeLog for more infos.
- update to 1.2.20
BUNCH of extensions, fixes, cleanup & production considerations.
Distro packages maintainers are strongly encouraged to upgrade.
@ -74,7 +82,7 @@ Thu Feb 11 10:44:31 UTC 2016 - lars@linux-schulserver.de
- enhanced keepalive-init.patch :
+ replace tabs with spaces
+ read /etc/sysconfig/keepalived, if exists and use the settings
there instead of the default KEEPALIVED_OPTIONS in case the
there instead of the default KEEPALIVED_OPTIONS in case the
user changed them
-------------------------------------------------------------------
@ -128,10 +136,10 @@ Wed Mar 11 13:21:29 UTC 2015 - dimstar@opensuse.org
+ Bugfixes.
- Changes from version 1.2.14:
+ VRRP bugfixes and extensions. IPVS bugfixes and code code
cleanup.
cleanup.
- Changes from version 1.2.13:
+ VRRP fixes and extensions. Extrend and unify checker
framework.
framework.
-------------------------------------------------------------------
Mon Feb 2 01:32:37 UTC 2015 - crrodriguez@opensuse.org
@ -163,11 +171,11 @@ Tue Feb 11 08:12:55 UTC 2014 - boris@steki.net
+ VRRP unicast TTL fix.
+ Support to newer libnl.
+ More IPv6 support.
+ Fix/extend VRRP gratuitous ARP handling.
+ Fix/extend VRRP gratuitous ARP handling.
+ Support xmit VRRP packets from base VMAC interface.
+ VRRP multicast group tweaking.
+ Fixed VRRP socket sync while leaving FAULT state.
+ Code cleanup and cosmetics.
+ Code cleanup and cosmetics.
-------------------------------------------------------------------
Tue Jan 7 10:55:42 UTC 2014 - speilicke@suse.com
@ -178,22 +186,21 @@ Tue Jan 7 10:55:42 UTC 2014 - speilicke@suse.com
Tue Nov 19 14:01:47 UTC 2013 - speilicke@suse.com
- Update to version 1.2.9:
+ Extended VRRP code for faster sync and transition.
+ Fixed VRRP unicast code to support routed packet.
+ Fixed VRRP checksum computation.
+ Extended VRRP code tweaking IPv6 VIP install by disabling DAD algo and setting deprecated flag.
+ Fixed some issues in checker framework while processing hysteresis.
+ Extended checker framework to support use of status_code and digest at a time.
+ Extended VRRP code for faster sync and transition.
+ Fixed VRRP unicast code to support routed packet.
+ Fixed VRRP checksum computation.
+ Extended VRRP code tweaking IPv6 VIP install by disabling DAD algo and setting deprecated flag.
+ Fixed some issues in checker framework while processing hysteresis.
+ Extended checker framework to support use of status_code and digest at a time.
- Changes from version 1.2.8:
+ Add support for VRRP unicast.
+ Add support for VRRP IPv6 routes.
+ Add support to LVS One-Packet Scheduling.
+ Add CLI core framework.
+ Misc bugfixes, typo and cosmetics.
+ Misc bugfixes, typo and cosmetics.
- Drop keepalived_man_fix.patch: merged upstream
-------------------------------------------------------------------
Tue Nov 20 16:11:59 UTC 2012 - mrueckert@suse.de
- initial package of 1.2.7

View File

@ -29,15 +29,13 @@
%bcond_with dbus
Name: keepalived
Version: 1.3.3
Version: 1.3.9
Release: 0
Summary: A strong & robust keepalive facility for linux
License: GPL-2.0+
Group: Productivity/Networking/Routing
Url: http://www.keepalived.org/
# TODO: revert to old source line with 1.3.4 update
# Source: http://www.keepalived.org/software/keepalived-%{version}.tar.gz
Source: https://github.com/acassen/keepalived/files/779998/keepalived-1.3.3.tar.gz
Source: http://www.keepalived.org/software/keepalived-%{version}.tar.gz
Source1: keepalived.service
Source2: keepalive-rpmlintrc
Patch1: keepalive-init.patch
@ -161,6 +159,7 @@ rm -rv %{buildroot}/etc/keepalived/samples/ %{buildroot}/etc/sysconfig/keepalive
%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%doc %{_datadir}/doc/keepalived/
%config(noreplace) %attr(-,root,keepalived) /etc/keepalived/
%{_bindir}/genhash
%{_sbindir}/rckeepalived